Package Details: linux-g14-headers 5.13.7.arch1-3

Git Clone URL: https://aur.archlinux.org/linux-g14.git (read-only, click to copy)
Package Base: linux-g14
Description: Headers and scripts for building modules for the Linux kernel
Upstream URL: https://lab.retarded.farm/zappel/asus-rog-zephyrus-g14/
Keywords: ASUS G14 ROG Zephyrus
Licenses: GPL2
Submitter: dragonn
Maintainer: dragonn
Last Packager: dragonn
Votes: 6
Popularity: 1.17
First Submitted: 2020-06-06 15:43
Last Updated: 2021-08-04 19:04

Required by (0)

Sources (19)

Latest Comments

1 2 3 4 Next › Last »

daru commented on 2021-08-02 14:48

thanks dragonn, everything works fine after the latest update

spease commented on 2021-07-29 01:06

Also getting the GPG key error - although my G14 only has a 4000 CPU, which looks like it's supported by the regular kernel now, so I'm just going to try switching to that.

gnaggnoyil commented on 2021-07-28 17:39

I agree with @hornobster. GPG key C7E7849466FE2358343588377258734B41C31549 should be added into validpgpkeys arrary of the PKGBUILD.

hornobster commented on 2021-07-24 15:30

Hi dragonnn, I think there's a new gpg key to whitelist for the archlinux repo: https://keyserver.ubuntu.com/pks/lookup?op=vindex&fingerprint=on&exact=on&search=0xC7E7849466FE2358343588377258734B41C31549

gnaggnoyil commented on 2021-06-19 15:25

On my machine makepkg reports incorrect checksums error for sys-kernel_arch-sources-g14_files-0004-5.8+--more-uarches-for-kernel.patch. The sha256sums for this file seems to be fa6cee9527d8e963d3398085d1862edc509a52e4540baec463edb8a9dd95bee0 instead of 559f28d1c7207d3f564e4e21d680e6c1d834db58e715f0020b74d03cc0355d47.

dragonn commented on 2021-05-16 08:04

Right, I checked the latest PKGBUILD for the stock Arch kernel and it has cpio as makedepends. Add it to linux-g14 too, I didn't catch that because I already had cpio installed in my system.

hornobster commented on 2021-05-16 07:57

Hi, is there a new dependency on cpio? I had the same problem as this https://bbs.archlinux.org/viewtopic.php?id=261876.

dragonn commented on 2021-05-11 17:54

Oh man, thanks! I didn't clear my src so it just used some old dir. My bad. Fix incoming.

ChrisMorgan commented on 2021-05-11 17:49

This isn’t building because the fedora-kernel ZIP file expands to $srcdir/fedora-kernel-50c4293d202534b2773149500aac51f13fd76c9b/, but PKGBUILD looks for its patches in $srcdir/fedora-kernel/*.patch.

Here’s a patch to fix it:

diff --git a/PKGBUILD b/PKGBUILD
index 576aea8..378280d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -15,12 +15,13 @@ makedepends=(
 )
 options=('!strip')
 _srcname=archlinux-linux
+_fedora_kernel_commit_id=50c4293d202534b2773149500aac51f13fd76c9b
 source=(
        "$_srcname::git+https://git.archlinux.org/linux.git?signed#tag=$_srctag"
        config         # the main kernel config file
        "sys-kernel_arch-sources-g14_files_6008-HID-asus-Filter-keyboard-EC-for-old-ROG-keyboard.patch"
        "sys-kernel_arch-sources-g14_files-6010-acpi_unused.patch"
-       "https://gitlab.com/asus-linux/fedora-kernel/-/archive/50c4293d202534b2773149500aac51f13fd76c9b/fedora-kernel-50c4293d202534b2773149500aac51f13fd76c9b.zip"
+       "https://gitlab.com/asus-linux/fedora-kernel/-/archive/$_fedora_kernel_commit_id/fedora-kernel-$_fedora_kernel_commit_id.zip"
 )
 validpgpkeys=(
   'ABAF11C65A2970B130ABE3C479BE3E4300411886'  # Linus Torvalds
@@ -55,7 +56,7 @@ prepare() {
     patch -Np1 < "../$src"
   done

-  for src in ../fedora-kernel/*.patch; do
+  for src in ../fedora-kernel-$_fedora_kernel_commit_id/*.patch; do
     src="${src%%::*}"
     src="${src##*/}"
     [[ $src = *.patch ]] || continue
@@ -63,7 +64,7 @@ prepare() {
        [ "$src" != "0006-drm-amdgpu-move-s0ix-check-into-amdgpu_device_ip_sus.patch" ] &&
        [ "$src" != "patch-5.11-redhat.patch" ]; then
       echo "Applying patch $src..."
-      OUT="$(patch --forward -Np1 < "../fedora-kernel/$src")"  || echo "${OUT}" | grep "Skipping patch" -q || (echo "$OUT" && false);
+      OUT="$(patch --forward -Np1 < "../fedora-kernel-$_fedora_kernel_commit_id/$src")"  || echo "${OUT}" | grep "Skipping patch" -q || (echo "$OUT" && false);
     fi
   done

ChrisMorgan commented on 2021-04-27 16:48

This is not building properly any more: the fedora-kernel repository isn’t advertising commit 3e893afb4b3fcc73192caa1d5a645abae87d2112. You can fetch it manually for now (though I imagine the commit will be garbage collected in about a month’s time), but the rog branch that it was on has had its extra commits rebased from 5.11.15 to 5.11.16. Could be worth asking upstream to leave tags or branches behind for the old versions, or else fork it on GitLab to do the same.